Permalink
Browse files

upgrade to jeweler-1.4.0

  • Loading branch information...
1 parent 6b28d02 commit baeb47870cd1b2c22d9c61f0475a664782bf7cf2 @dchelimsky dchelimsky committed Jan 25, 2010
Showing with 8 additions and 10 deletions.
  1. +3 −1 Rakefile
  2. +0 −5 VERSION.yml
  3. +5 −4 rspec-expectations.gemspec
View
@@ -1,4 +1,5 @@
require 'rubygems'
+gem 'jeweler', '>= 1.4.0'
require 'rake'
$:.unshift File.expand_path(File.join(File.dirname(__FILE__),'lib'))
require 'rspec/expectations/version'
@@ -7,9 +8,10 @@ begin
require 'jeweler'
Jeweler::Tasks.new do |gem|
gem.name = "rspec-expectations"
+ gem.version = Rspec::Expectations::Version::STRING
gem.summary = "rspec expectations (should[_not] and matchers)"
+ gem.rubyforge_project = "rspec"
gem.email = "dchelimsky@gmail.com;chad.humphries@gmail.com"
- gem.version = Rspec::Expectations::Version::STRING
gem.homepage = "http://github.com/rspec/expectations"
gem.authors = ["David Chelimsky", "Chad Humphries"]
gem.add_development_dependency('rspec-core', ">= #{Rspec::Expectations::Version::STRING}")
View
@@ -1,5 +0,0 @@
----
-:patch: 0
-:major: 2
-:minor: 0
-:build: a1
@@ -1,6 +1,6 @@
# Generated by jeweler
-# DO NOT EDIT THIS FILE
-# Instead, edit Jeweler::Tasks in Rakefile, and run `rake gemspec`
+# DO NOT EDIT THIS FILE DIRECTLY
+# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
@@ -9,7 +9,7 @@ Gem::Specification.new do |s|
s.required_rubygems_version = Gem::Requirement.new("> 1.3.1") if s.respond_to? :required_rubygems_version=
s.authors = ["David Chelimsky", "Chad Humphries"]
- s.date = %q{2010-01-21}
+ s.date = %q{2010-01-24}
s.email = %q{dchelimsky@gmail.com;chad.humphries@gmail.com}
s.extra_rdoc_files = [
"README.markdown"
@@ -21,7 +21,6 @@ Gem::Specification.new do |s|
"README.markdown",
"Rakefile",
"Upgrade.markdown",
- "VERSION.yml",
"lib/rspec/expectations.rb",
"lib/rspec/expectations/differs/default.rb",
"lib/rspec/expectations/differs/load-diff-lcs.rb",
@@ -96,6 +95,7 @@ Gem::Specification.new do |s|
s.homepage = %q{http://github.com/rspec/expectations}
s.rdoc_options = ["--charset=UTF-8"]
s.require_paths = ["lib"]
+ s.rubyforge_project = %q{rspec}
s.rubygems_version = %q{1.3.5}
s.summary = %q{rspec expectations (should[_not] and matchers)}
s.test_files = [
@@ -148,3 +148,4 @@ Gem::Specification.new do |s|
s.add_dependency(%q<rspec-mocks>, [">= 2.0.0.a2"])
end
end
+

0 comments on commit baeb478

Please sign in to comment.